<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet
    xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
    version = "1.0">
 <xsl:output
    method = "text"
    encoding = "UTF-8"
 />

 <!-- set parameter with option "- -stringparam name value" of xsltproc -->
 <xsl:param name="wrap_table"/>

 <xsl:variable name="method">text</xsl:variable>

 <xsl:template match="/">
   <xsl:if test="$wrap_table = 1">
    <!-- ugly hack to nicely wrap output in HTML table despite "text" output -->
    <xsl:text>&lt;table border=1&gt;&lt;tr&gt;&lt;td&gt;&lt;pre style='margin: 0;'&gt;&#10;</xsl:text>
   </xsl:if>
    <xsl:apply-templates/>
   <xsl:if test="$wrap_table = 1">
    <xsl:text>&lt;/pre&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;&#10;</xsl:text>
   </xsl:if>
 </xsl:template>

 <xsl:include href="metaf-sum.xsl"/>

</xsl:stylesheet>
